Spaces method and path for this operation:
Refer to Spaces for more information.
Compute the summary of an SLO at a given point in time. When instanceId is provided, returns that instance. When instanceId is omitted or set to '*', returns all matching instances (up to 1000). The endpoint is synchronous and returns results directly. You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.
[Required authorization] Route required privileges: slo_read.
Path parameters
-
The identifier of the SLO.
Minimum length is
8, maximum length is48. Format should match the following pattern:^[a-z0-9-_]+$.
Query parameters
-
The point in time at which to compute the SLO instance summary (ISO 8601 date-time), for example 2023-01-12T10:03:19.000Z
Maximum length is
128. -
The SLO instance ID. Omit this parameter or set it to
'*'to return all instances for the SLO (up to 1000). Set a specific value (for examplehost.name:web-01) to return that instance only.Value is
*.
curl \
--request GET 'https://<KIBANA_URL>/api/observability/slos/{id}/_snapshot?at=string' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json"
{
"at": "2025-01-12T10:00:00.000Z",
"results": [
{
"id": "8853df00-ae2e-11ed-90af-09bb6422b258",
"instanceId": "*",
"summary": {
"errorBudget": {
"consumed": 0.24,
"initial": 0.01,
"remaining": 0.76
},
"good": 9976,
"sliValue": 0.9976,
"status": "HEALTHY",
"total": 10000
}
}
]
}
{
"at": "2025-01-12T10:00:00.000Z",
"results": [
{
"id": "8853df00-ae2e-11ed-90af-09bb6422b258",
"instanceId": "host.name:web-01",
"summary": {
"errorBudget": {
"consumed": 5,
"initial": 0.01,
"remaining": -4
},
"good": 9500,
"sliValue": 0.95,
"status": "VIOLATED",
"total": 10000
}
}
]
}
{
"error": "Bad Request",
"message": "Invalid value 'foo' supplied to: at",
"statusCode": 400
}
{
"error": "Unauthorized",
"message": "security_exception: unable to authenticate user for REST request [/api/observability/slos]",
"statusCode": 401
}
{
"error": "Forbidden",
"message": "security_exception: action [slo_read] is unauthorized for user",
"statusCode": 403
}
{
"error": "Not Found",
"message": "SLO [8853df00-ae2e-11ed-90af-09bb6422b258] not found",
"statusCode": 404
}